TESTING/LIN/xerbla.f(3)

NAME
TESTING/LIN/xerbla.f

SYNOPSIS

  Functions/Subroutines
subroutine xerbla (srname, info)
XERBLA

Function/Subroutine Documentation

  subroutine xerbla (character*(*) srname, integer info)

XERBLA

Purpose:

     This is a special version of XERBLA to be used only as part of
     the test program for testing error exits from the LAPACK routines.
     Error messages are printed if INFO.NE.INFOT or if SRNAME.NE.SRNAMT,
     where INFOT and SRNAMT are values stored in COMMON.

Parameters
    SRNAME

              SRNAME is CHARACTER*(*)
              The name of the subroutine calling XERBLA.  This name should
              match the COMMON variable SRNAMT.

    INFO

              INFO is INTEGER
              The error return code from the calling subroutine.  INFO
              should equal the COMMON variable INFOT.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

      The following variables are passed via the common blocks INFOC and
      SRNAMC:
      INFOT   INTEGER      Expected integer return code
      NOUT    INTEGER      Unit number for printing error messages
      OK      LOGICAL      Set to .TRUE. if INFO = INFOT and
                           SRNAME = SRNAMT, otherwise set to .FALSE.
      LERR    LOGICAL      Set to .TRUE., indicating that XERBLA was called
      SRNAMT  CHARACTER*(*) Expected name of calling subroutine

Definition at line 74 of file xerbla.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.